# Source code for azure.mgmt.web.models.premier_add_on_request

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class PremierAddOnRequest(Model):
        """PremierAddOnRequest.

        :param location: Geo region resource belongs to e.g. SouthCentralUS,
         SouthEastAsia
        :type location: str
        :param tags: Tags associated with resource
        :type tags: dict
        :param plan: Azure resource manager plan
        :type plan: :class:`ArmPlan <azure.mgmt.web.models.ArmPlan>`
        :param properties: Resource specific properties
        :type properties: object
        :param sku: Sku description of the resource
        :type sku: :class:`SkuDescription <azure.mgmt.web.models.SkuDescription>`
        """

        _attribute_map = {
            'location': {'key': 'location', 'type': 'str'},
            'tags': {'key': 'tags', 'type': '{str}'},
            'plan': {'key': 'plan', 'type': 'ArmPlan'},
            'properties': {'key': 'properties', 'type': 'object'},
            'sku': {'key': 'sku', 'type': 'SkuDescription'},
        }

        def __init__(self, location=None, tags=None, plan=None, properties=None, sku=None):
            self.location = location
            self.tags = tags
            self.plan = plan
            self.properties = properties
            self.sku = sku